apiVersion: skaffold/v4beta11
kind: Config
metadata:
  name: migrations
build:
  local: {}
  tagPolicy:
    gitCommit:
      variant: AbbrevCommitSha
profiles:
  - name: migrations
    build:
      artifacts:
      - image: migrations
        context: .
        docker:
          dockerfile: Dockerfile.migrations
    manifests:
      rawYaml:
      - k8s/migrations.yaml
    deploy:
      kubectl: {}
---
apiVersion: skaffold/v4beta11
kind: Config
metadata:
  name: orion
build:
  local: {}
  tagPolicy:
    gitCommit:
      variant: AbbrevCommitSha
profiles:
  - name: dev
    build:
      artifacts:
      - image: orion
        context: .
        docker:
          dockerfile: Dockerfile
    manifests:
      rawYaml:
      - k8s/dev/orion.yaml
    deploy:
      kubectl: {}
  - name: prod
    build:
      artifacts:
      - image: orion
        context: .
        docker:
          dockerfile: Dockerfile
    manifests:
      rawYaml:
      - k8s/prod/orion.yaml
    deploy:
      kubectl: {}
---
apiVersion: skaffold/v4beta11
kind: Config
metadata:
  name: particleprocessor
build:
  local: {}
  tagPolicy:
    gitCommit:
      variant: AbbrevCommitSha
profiles:
  - name: dev
    build:
      artifacts:
      - image: particleprocessorworker
        context: .
        docker:
          dockerfile: Dockerfile.particleprocessorworker
    manifests:
      rawYaml:
      - k8s/dev/particleprocessorworker.yaml
    deploy:
      kubectl: {}
  - name: prod
    build:
      artifacts:
      - image: particleprocessorworker
        context: .
        docker:
          dockerfile: Dockerfile.particleprocessorworker
    manifests:
      rawYaml:
      - k8s/prod/particleprocessorworker.yaml
    deploy:
      kubectl: {}
---
apiVersion: skaffold/v4beta11
kind: Config
metadata:
  name: emailnotifierjob
build:
  local: {}
  tagPolicy:
    gitCommit:
      variant: AbbrevCommitSha
profiles:
  - name: dev
    build:
      artifacts:
      - image: emailnotifierjob
        context: .
        docker:
          dockerfile: Dockerfile.emailnotifierjob
    manifests:
      rawYaml:
      - k8s/dev/emailnotifierjob.yaml
    deploy:
      kubectl: {}
  - name: prod
    build:
      artifacts:
      - image: emailnotifierjob
        context: .
        docker:
          dockerfile: Dockerfile.emailnotifierjob
    manifests:
      rawYaml:
      - k8s/prod/emailnotifierjob.yaml
    deploy:
      kubectl: {}
---
apiVersion: skaffold/v4beta11
kind: Config
metadata:
  name: memberreconciler
build:
  local: {}
  tagPolicy:
    gitCommit:
      variant: AbbrevCommitSha
profiles:
  - name: dev
    build:
      artifacts:
      - image: memberreconciler
        context: .
        docker:
          dockerfile: Dockerfile.memberreconciler
    manifests:
      rawYaml:
      - k8s/dev/memberreconciler.yaml
    deploy:
      kubectl: {}
  - name: prod
    build:
      artifacts:
      - image: memberreconciler
        context: .
        docker:
          dockerfile: Dockerfile.memberreconciler
    manifests:
      rawYaml:
      - k8s/prod/memberreconciler.yaml
    deploy:
      kubectl: {}
---
apiVersion: skaffold/v4beta11
kind: Config
metadata:
  name: pusher
build:
  local: {}
  tagPolicy:
    gitCommit:
      variant: AbbrevCommitSha
profiles:
  - name: dev
    build:
      artifacts:
      - image: pusher
        context: .
        docker:
          dockerfile: Dockerfile.pusherservice
    manifests:
      rawYaml:
      - k8s/dev/pusher.yaml
    deploy:
      kubectl: {}
  - name: prod
    build:
      artifacts:
      - image: pusher
        context: .
        docker:
          dockerfile: Dockerfile.pusherservice
    manifests:
      rawYaml:
      - k8s/prod/pusher.yaml
    deploy:
      kubectl: {}
---
apiVersion: skaffold/v4beta11
kind: Config
metadata:
  name: transcodebackfill
build:
  local: {}
  tagPolicy:
    gitCommit:
      variant: AbbrevCommitSha
profiles:
  - name: prod
    build:
      artifacts:
      - image: transcodebackfill
        context: .
        docker:
          dockerfile: Dockerfile.transcodebackfill
    manifests:
      rawYaml:
      - k8s/prod/transcodebackfill.yaml
    deploy:
      kubectl: {}
